<?php

namespace Repository;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Traits\TQuery;

class Priority
{
    use TQuery;
    /**
     * @var EntityManager
     */
    private $entityManager;

    /**
     * Priority constructor.
     * @param EntityManager $entityManager
     */
    public function __construct(EntityManager $entityManager)
    {
        $this->entityManager = $entityManager;
    }

    public function findIssuePriority($organizationId, $conditions = '')
    {
        $query = <<<SQL
        SELECT * FROM PRIORITY
        $conditions
SQL;

        $params = array(
            'organizationId' => $organizationId
        );

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $query, $params);
    }
}
